Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Class SearchCriteria.ComparisonReference

    java.lang.Object
      com.bea.ld.metadata.SearchCriteria.ComparisonReference

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  SearchCriteria

    public static class SearchCriteria.ComparisonReference

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `SearchCriteria.ComparisonReference.Factory`

Field Summary
`static int` | `COMPARATOR_EQUALS`
`static int` | `COMPARATOR_GREATER_OR_EQUAL_THAN`
`static int` | `COMPARATOR_GREATER_THAN`
`static int` | `COMPARATOR_LESS_OR_EQUAL_THAN`
`static int` | `COMPARATOR_LESS_THAN`
`static int` | `COMPARATOR_NOT_EQUALS`

Method Summary
`boolean` | `areNullsHits()`
`java.lang.Comparable` | `getComparable()`
`int` | `getComparator()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPARATOR_EQUALS

    public static final int COMPARATOR_EQUALS

See Also:
  Constant Field Values

### COMPARATOR_GREATER_THAN

    public static final int COMPARATOR_GREATER_THAN

See Also:
  Constant Field Values

### COMPARATOR_GREATER_OR_EQUAL_THAN

    public static final int COMPARATOR_GREATER_OR_EQUAL_THAN

See Also:
  Constant Field Values

### COMPARATOR_NOT_EQUALS

    public static final int COMPARATOR_NOT_EQUALS

See Also:
  Constant Field Values

### COMPARATOR_LESS_THAN

    public static final int COMPARATOR_LESS_THAN

See Also:
  Constant Field Values

### COMPARATOR_LESS_OR_EQUAL_THAN

    public static final int COMPARATOR_LESS_OR_EQUAL_THAN

See Also:
  Constant Field Values

Method Detail

### getComparable

    public java.lang.Comparable getComparable()

### getComparator

    public int getComparator()

### areNullsHits

    public boolean areNullsHits()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.